import { IRPCMessagePassingProtocol } from '../../protocol/rpc-protocol';
import { VSBuffer } from '@vscode-alt/monaco-editor/esm/vs/base/common/buffer';
import { HostIdentifier } from '../../protocol/proxy-identifier';
export declare class BrowserRemoteRPC implements IRPCMessagePassingProtocol {
    private input$;
    private readonly _localHostId;
    private _onMessage;
    constructor(hostId?: HostIdentifier);
    onMessage(event: any): import("@vscode-alt/monaco-editor/esm/vs/base/common/lifecycle").IDisposable;
    connect(url: string, makeWebSocket: any): void;
    send(buffer: VSBuffer, hostIdentifier: any): void;
}
