import { IRegistryExtension, IExtensionRelease as IRegistryExtensionRelease } from './generated-models';
export interface IPublishRequest {
    extensionID: string;
    manifest: string;
    bundle: string;
    version: string;
    sourceMap?: string;
    force?: boolean;
}
export { IRegistryExtensionRelease };
export interface IRegistryExtensionRecord extends IRegistryExtension {
    releases: IRegistryExtensionRelease[];
}
export interface IAccessTokens {
    id: number;
    subjectUserId: number;
    valueSHA256: string;
    note: string;
    creatorUserId: string;
    scope: string[];
}
